Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.proteomics
Class StructureTools

    java.lang.Object
      org.biojava.bio.proteomics.StructureTools

    public final class StructureTools

extends Object

Simple access to protein seccondary structure assignments.

Author:
  Matthew Pocock

Constructor Summary
`StructureTools()`

Method Summary
`AtomicSymbol` | `get_()`
`AtomicSymbol` | `getB()`
`AtomicSymbol` | `getC()`
`AtomicSymbol` | `getE()`
`AtomicSymbol` | `getG()`
`AtomicSymbol` | `getH()`
`AtomicSymbol` | `getI()`
`AtomicSymbol` | `getS()`
`FiniteAlphabet` | `getStructure()`
`AtomicSymbol` | `getT()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StructureTools

    public StructureTools()

Method Detail

### getStructure

    public FiniteAlphabet getStructure()

### get_

    public AtomicSymbol get_()

### getC

    public AtomicSymbol getC()

### getH

    public AtomicSymbol getH()

### getG

    public AtomicSymbol getG()

### getI

    public AtomicSymbol getI()

### getE

    public AtomicSymbol getE()

### getB

    public AtomicSymbol getB()

### getT

    public AtomicSymbol getT()

### getS

    public AtomicSymbol getS()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD